LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-06-2012, 11:02 AM   #1
helok
LQ Newbie
 
Registered: May 2012
Location: jakarta
Posts: 15

Rep: Reputation: Disabled
how to install NS allinone 2.33 in Ubuntu 10


Hello
I want to ask for some help about installing ns-allinone-2.33 in Ubuntu 10.10
please explain to me step by step, because im really really newbie in ubuntu
and this is my first time using this OS.

i've install it once, but when I try to run simple.tcl, some errors appeared. NAM didnt come up.
maybe I did the wrong step during the installation

please help me
thank you

Last edited by helok; 09-06-2012 at 11:04 AM.
 
Old 09-06-2012, 11:54 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
The usual : sudo apt-get install \
g++ g++-4.3 autoconf automake make patch libtool libxmu-dev xgraph

... Or instead of g++-4.3 use g++41 for for best result,
post # 14 here ..
http://www.linuxquestions.org/questi...4-a-944856/#14

cd ns-allinone-2.33/ && export CC=gcc41 CXX=g++41 && ./install

Nam : Use a binary nam, post # 4 :
http://www.linuxquestions.org/questi...04-a-842109/#4

cd ns-allinone-2.33/ns-2.33/tcl/ex/ && ns simple.tcl : No errors.

.
 
1 members found this post helpful.
Old 09-06-2012, 04:06 PM   #3
Elv13
Member
 
Registered: Apr 2006
Location: Montreal,Quebec
Distribution: Gentoo
Posts: 825

Rep: Reputation: 128Reputation: 128
As usual, Ubuntu 10.10 is 2 years old and is not supported anymore. Please click "upgrade" in the update manager until you are at 12.04 or even 12.10 alpha. You can also download Ubuntu 12.04 and install it as you are new and probably have done little tweaking to your install.

Using never Ubuntu versions will give you access to more speed, security and newer versions of every software in the software center. Please note than the interface is quite different, so it may take some time to adjust. But overall, running older and unsupported versions of Ubuntu or any software is highly unrecommended.
 
1 members found this post helpful.
Old 09-06-2012, 05:06 PM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
Post # 3 :

Except that Ubuntu 10.10 produces perfect ns2 binaries.
With g++ version 4.1.2.

And : No old Ubuntu compilers can be used in Ubuntu 12.04 .

I'd suggest Debian Squeeze as a replacement for the similar Ubuntu 10.10.

.

Last edited by knudfl; 09-06-2012 at 05:13 PM.
 
Old 09-06-2012, 09:50 PM   #5
helok
LQ Newbie
 
Registered: May 2012
Location: jakarta
Posts: 15

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Elv13 View Post
As usual, Ubuntu 10.10 is 2 years old and is not supported anymore. Please click "upgrade" in the update manager until you are at 12.04 or even 12.10 alpha. You can also download Ubuntu 12.04 and install it as you are new and probably have done little tweaking to your install.

Using never Ubuntu versions will give you access to more speed, security and newer versions of every software in the software center. Please note than the interface is quite different, so it may take some time to adjust. But overall, running older and unsupported versions of Ubuntu or any software is highly unrecommended.
i want to apply ZRP patch to my ns2.33
will it work well at ubuntu 12.04?
or
maybe it must be applied at ubuntu 10.10?
thank you
 
Old 09-07-2012, 04:15 PM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
ZRP, ns-2.33 :
Your current OS, Ubuntu 10.04 : 50 tests will fail at validation.

Ubuntu 10.10 : ""validate overall report: all tests passed"".

Ubuntu 12.04 : "validate overall report: some portable tests failed:
./test-all-newreno ./test-all-tcpOptions ./test-all-tcpVariants
./test-all-aimd ./test-all-frto ./test-all-quickstart
./test-all-manual-routing ./test-all-links
some non-portable tests also failed:
./test-all-session".


The "ns-2.33 / zrp" from Ubuntu 10.10 can easily be used on Ubuntu 12.04
https://docs.google.com/open?id=0B7S...kxHY3dQQlR4bjg
> > zrp-ns-2.33-ubu1010_i386.deb

.
 
Old 09-10-2012, 09:43 PM   #7
helok
LQ Newbie
 
Registered: May 2012
Location: jakarta
Posts: 15

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
ZRP, ns-2.33 :
Your current OS, Ubuntu 10.04 : 50 tests will fail at validation.

Ubuntu 10.10 : ""validate overall report: all tests passed"".

Ubuntu 12.04 : "validate overall report: some portable tests failed:
./test-all-newreno ./test-all-tcpOptions ./test-all-tcpVariants
./test-all-aimd ./test-all-frto ./test-all-quickstart
./test-all-manual-routing ./test-all-links
some non-portable tests also failed:
./test-all-session".


The "ns-2.33 / zrp" from Ubuntu 10.10 can easily be used on Ubuntu 12.04
https://docs.google.com/open?id=0B7S...kxHY3dQQlR4bjg
> > zrp-ns-2.33-ubu1010_i386.deb

.
i've changed my OS sir
currently im using ubuntu 10.10
 
Old 03-01-2013, 02:38 AM   #8
alwaleed
LQ Newbie
 
Registered: Feb 2013
Posts: 22

Rep: Reputation: Disabled
ns-2.33

Hi everyone, may you help me about can I install ZRP on ns-2.33 in ubuntu linux 10.10 amd64 and what is the procedures to install ns-2.33 and ZRP.
Thanks
 
Old 03-01-2013, 03:21 AM   #9
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# 8 .

All ns2 is for 32bit (i386 i686). Not "amd64" / x86_64.
Some versions can be installed into an ´amd64 OS´, with inferior test results.

General install instructions ns-allinone-2.33 / zrp :
You already have got those procedures in various versions.
Read and then try something. And then ask again.
So far you haven't even told what it is you don't understand.
The first step is always to download ns-allinone-2.xx.
When you have learned how to build ns2,
you can try making a version with changes, e.g. zrp.

-
 
Old 03-01-2013, 10:54 AM   #10
conglongit90
LQ Newbie
 
Registered: Mar 2013
Posts: 17

Rep: Reputation: Disabled
Dear Mr "knudfl "
Can you help me !
i used ubuntu 10.04 and setup NS-2.35 is succesful.
now ,i want setup ZRP protocol for NS-2.35
i set location:
user :long
pass: hoanglong
long@long-desktop:~/ns-allinone-2.35/ns-2.35
and
long@long-desktop:ns
%

and
i setup very much but not succesful..
you can help me :
the steps Configuration Protocol ZRP cho cho ns-2.35 on ubuntu 10.04 ?
i very need it,
thanks !
 
Old 03-01-2013, 11:38 AM   #11
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# 10, @conglongit90 :

Please read the complete thread.
And also read the other zrp thread, where you asked a question today.
http://www.linuxquestions.org/questi...ml#post4902168
.. Then you will see that there is no zrp for ns-2.35 .
.. And that you can have as many ns2 versions as you want,
installed at the same time.

-
 
Old 03-02-2013, 02:26 PM   #12
conglongit90
LQ Newbie
 
Registered: Mar 2013
Posts: 17

Rep: Reputation: Disabled
can help me, dear !
ubuntu 10.10
./install ( NS-2.33 error
"
fatal error: X11/Xlib.h: No such file or directory
compilation terminated.
make: *** [tk3d.o] Error 1
tk8.5.10 make failed! Exiting ...
"
how? thanks
 
Old 03-02-2013, 04:48 PM   #13
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# 12 .

Please read the posts again.
The same issue was discussed here, not many hours ago ..
# 68 http://www.linuxquestions.org/questi...025/page5.html
And post # 69 , etc. etc.

I.e. this is a must : sudo apt-get install libxmu-dev

-
 
Old 03-04-2013, 04:33 AM   #14
conglongit90
LQ Newbie
 
Registered: Mar 2013
Posts: 17

Rep: Reputation: Disabled
hello !knudfl
thanks you, i setup NS-2.33 succesful for ubuntu 10.04
but
did not understand and installing are ZRP for NS-2,33 you can instructions ?
I need it very much !

reply early ,
thanks
 
Old 03-24-2013, 11:34 PM   #15
harshil12345
LQ Newbie
 
Registered: Mar 2013
Posts: 5

Rep: Reputation: Disabled
ns 2.33 nam problem

hello sir,
i harshil
my problem is when i run tcl script then no animator s open and thia type of error is created so please help me,

here the errors are :
nam:
[code omitted because of length]
: no event type or button # or keysym
while executing
"bind Listbox {
%W yview scroll [expr {- (%D / 120) * 4}] units
}"
invoked from within
"if {[tk windowingsystem] eq "classic" || [tk windowingsystem] eq "aqua"} {
bind Listbox {
%W yview scroll [expr {- (%D)}] units
}
bind Li..."
 
  


Reply

Tags
ns2, zrp


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installation problem of ns allinone 2.29 on Ubuntu 9.10 labee Linux - Software 3 05-05-2011 10:13 AM
How to install ns-allinone-2.1b9a in Ubuntu 10.10 andolby Linux - Software 1 03-28-2011 08:21 AM
ns-allinone on ubuntu offline kuberninad Linux - Newbie 5 01-25-2010 01:15 AM
install ns-allinone-2.34 on ubuntu 8.04 beringinraya Linux - Newbie 2 07-27-2009 10:30 AM
NS2 2.33 allinone on Ubuntu Liz Mwaniki Linux - Newbie 1 01-26-2009 05:24 AM


All times are GMT -5. The time now is 03:07 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration